#include "pros_logic.lua"
#include "ui/ui_extensions.lua"
#include "common_components.lua"

function drawProsTab()
    -- draw frame F136_455_PROSTab
    ProsView.prosTabOnDraw()
    UiPush()
        UiAlign("top left")
        UiColorFilter(1.0, 1.0, 1.0, 1)
        UiTranslate(-495, -50)
        -- draw frame F136_270_options
        UiPush()
            UiTranslate(0.0, 266.0)
            drawOptionsListItemWithStepper(ksivaText, stepperKsivaParams)
            UiTranslate(0.0, 50.0)
            drawOptionsListItemWithStepper(modText, stepperMoDParams)
        UiPop()
        -- draw frame QrZone
        UiPush()
            UiTranslate(0.0, 106.0)
            if UiIsMouseInRect(794.1925048828125, 120.0) and InputPressed("lmb") then
                ProsView.onQrCodeZoneClicked()
            end
            UiPush()
                UiColor(1, 1, 1, 1)
                UiTranslate(10.0, 10.0)
                UiImageBox(ProsView.getQrImg(), 100, 100, 0, 0)
            UiPop()
            UiPush()
                UiTranslate(124.6709976196289, 12.024037933349518)
                UiColor(1.0, 1.0, 1.0, 0.800000011920929)
                UiFont("regular.ttf", 27)
                UiText(ProsView.getHintText())
            UiPop()
            UiPush()
                UiTranslate(125.9469985961914, 86.06798324584952)
                UiColor(1.0, 1.0, 1.0, 0.800000011920929)
                UiFont("regular.ttf", 27)
                local offset, _ = UiText(ProsView.getStatusText())
            UiPop()
            UiPush()
                UiColor(1, 1, 1, 1)
                UiTranslate(134 + offset, 88.0)
                UiImageBox(ProsView.getStatusImg(), 22, 22, 0, 0)
            UiPop()
        UiPop()
        UiPush()
            UiTranslate(5.2512030601501465, 2.556003379821732)
            UiColor(1.0, 1.0, 1.0, 0.800000011920929)
            UiFont("regular.ttf", 22)
            UiPush()
                UiWordWrap(1008.0)
                UiText(ProsDescText)
            UiPop()
        UiPop()
    UiPop()
end

